# Myip

a tool that can get your public ip


```shell
myip is a easy way to get public ip of current system.

Usage:
  myip [flags]
  myip [command]

Available Commands:
  completion  generate the autocompletion script for the specified shell
  help        Help about any command
  serve       Simple server that returns the resolved IP.
  version     version

Flags:
  -a, --all           show local ip
  -c, --cell          show cell, must used with --list
  -h, --help          help for myip
  -u, --host string   hostname to connect (default "kumoly.io")
  -l, --list          show list
      --no-pub        disable PublicIP
  -p, --port string   server port to connect (default "5080")
      --secure        use https
  -t, --title         show title, used with --list
  -v, --version       version for myip

Use "myip [command] --help" for more information about a command.
```

## Docker

Server:

```shell
docker pull hub.kumoly.io/tools/myip:latest
docker run --name myip-server -d -p 5080:5080 --restart=always hub.kumoly.io/tools/myip
```


## Cron

```
ield name   | Mandatory? | Allowed values  | Allowed special characters
----------   | ---------- | --------------  | --------------------------
Seconds      | Yes        | 0-59            | * / , -
Minutes      | Yes        | 0-59            | * / , -
Hours        | Yes        | 0-23            | * / , -
Day of month | Yes        | 1-31            | * / , - ?
Month        | Yes        | 1-12 or JAN-DEC | * / , -
Day of week  | Yes        | 0-6 or SUN-SAT  | * / , - ?
```

**Duration**: `myip -altc --cron --spec "@every 5m"`
